## kf6-prison 6.18.0

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017-2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

set(aztecbarcodetest_srcs
    aztecbarcodetest.cpp
    aztec/aztec.qrc
    ../src/lib/aztecbarcode.cpp
    ../src/lib/abstractbarcode_p.cpp
    ../src/lib/barcodeutil.cpp
    ../src/lib/bitvector.cpp
    ../src/lib/reedsolomon.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/../src/lib/prison_debug.cpp
)

ecm_add_test(${aztecbarcodetest_srcs} TEST_NAME prison-aztecbarcodetest LINK_LIBRARIES Qt6::Test KF6::Prison)

ecm_add_test(
    reedsolomontest.cpp
    ../src/lib/bitvector.cpp
    ../src/lib/reedsolomon.cpp
    TEST_NAME prison-reedsolomontest
    LINK_LIBRARIES Qt6::Test KF6::Prison
)

set(code128barcodetest_srcs
    code128barcodetest.cpp
    code128/code128.qrc
    ../src/lib/abstractbarcode_p.cpp
    ../src/lib/barcodeutil.cpp
    ../src/lib/code128barcode.cpp
    ../src/lib/bitvector.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/../src/lib/prison_debug.cpp
)

ecm_add_test(${code128barcodetest_srcs} TEST_NAME prison-code128barcodetest LINK_LIBRARIES Qt6::Test KF6::Prison)

if(TARGET Dmtx::Dmtx)
    ecm_add_test(datamatrixtest.cpp datamatrix/datamatrix.qrc TEST_NAME prison-datamatrixtest LINK_LIBRARIES Qt6::Test KF6::Prison)
endif()
ecm_add_test(qrtest.cpp qr/qr.qrc TEST_NAME prison-qrtest LINK_LIBRARIES Qt6::Test KF6::Prison)

if (TARGET ZXing::ZXing)
    ecm_add_test(zxingutiltest.cpp ${PROJECT_SOURCE_DIR}/src/lib/zxingutil.cpp TEST_NAME prison-zxingutiltest LINK_LIBRARIES Qt6::Test ZXing::ZXing KF6::Prison)
    kde_source_files_enable_exceptions(${PROJECT_SOURCE_DIR}/src/lib/zxingutil.cpp )
    ecm_add_test(imagescannertest.cpp qr/qr.qrc TEST_NAME prison-imagescannertest LINK_LIBRARIES Qt6::Test Qt6::Concurrent KF6::PrisonScanner)
endif()

ecm_add_test(
    mecardtest.cpp
    TEST_NAME prison-mecardtest
    LINK_LIBRARIES Qt6::Test KF6::Prison
)

=== src/CMakeLists.txt ===
add_subdirectory(lib)
add_subdirectory(tools)
if(TARGET Qt6::Quick)
    add_subdirectory(quick)
endif()
if(TARGET Qt6::Multimedia AND TARGET ZXing::ZXing)
    add_subdirectory(scanner)
    if (TARGET Qt6::Quick)
        add_subdirectory(scanner-quick)
    endif()
endif()

ecm_qt_install_logging_categories(
    EXPORT PRISON
    FILE prison.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== debian/changelog ===
kf6-prison (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:15:45 +0200

=== debian/control ===
Source: kf6-prison
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.18.0~),
               libdmtx-dev,
               libqrencode-dev,
               libxkbcommon-dev,
               libzxing-dev (>= 2.0~),
               pkg-kde-tools (>= 0.17.0~),
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-multimedia-dev (>= 6.7.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/prison
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-prison
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-prison.git
Rules-Requires-Root: no

Package: libkf6prison-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6prison6 (= ${binary:Version}),
         libkf6prisonscanner6 (= ${binary:Version}),
         qml6-module-org-kde-prison (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Recommends: libkf6prison-doc (= ${source:Version}),
Description: barcode API for Qt - development files
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the development headers and files needed to create
 applications that use the prison library.

Package: libkf6prison-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: barcode API for Qt (documentation)
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6prison6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.

Package: libkf6prisonscanner6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: barcode API for Qt - barcode scanner
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library for scanning barcodes to be used by
 applications.

Package: qml6-module-org-kde-prison
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made to support more.
 .
 This package contains the Prison Qt Quick QML bindings.

## kf6-prison 6.18.0+p24.04+vstable+git20250922.0247

=== debian/changelog ===
kf6-prison (6.18.0+p24.04+vstable+git20250922.0247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Sep 2025 02:47:41 +0000

kf6-prison (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 13:09:42 +0000

kf6-prison (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:34:37 +0000

kf6-prison (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:50:24 +0000

kf6-prison (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 06:08:20 +0000

kf6-prison (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:49:48 +0000

kf6-prison (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:16:11 +0000

kf6-prison (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 22:19:39 +0000

kf6-prison (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:43:01 +0000

kf6-prison (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 12:27:25 +0000

kf6-prison (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:44:21 +0000

kf6-prison (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 01:16:36 +0000

kf6-prison (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:41:12 +0000

kf6-prison (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:48:48 +0000

kf6-prison (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:57:30 +0000

kf6-prison (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 06:49:40 +0000

kf6-prison (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:35:10 +1000

kf6-prison (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 04:05:53 +0000

kf6-prison (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:29:53 +0000

kf6-prison (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-prison (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-prison 6.18.0+p24.04+vstable+git20250928.0544

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.19.0") # handled by release scripts
project(prison VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.18.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" "${ECM_MODULE_PATH}")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGenerateExportHeader)
include(ECMAddTests)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMGenerateQDoc)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(REQUIRED_QT_VERSION 6.7.0)

option(WITH_QUICK "Build QtQuick components" ON)
option(WITH_MULTIMEDIA "Build scanner support" ON)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Gui)

if (WITH_QUICK)
    include(ECMQmlModule)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Quick)
endif()

if (WITH_MULTIMEDIA)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Multimedia)
endif()

find_package(QRencode)
set_package_properties(QRencode PROPERTIES
    PURPOSE "Required for generation of QRCode barcodes."
    TYPE REQUIRED)
find_package(Dmtx)
set_package_properties(Dmtx PROPERTIES
    PURPOSE "Required for generation of Data Matrix barcodes."
    TYPE RECOMMENDED)
find_package(ZXing 2.0)
if (NOT TARGET ZXing::ZXing)
  find_package(ZXing 1.2.0)
endif()
set_package_properties(ZXing PROPERTIES
    PURPOSE "Required for generation of PDF417 barcodes and for scanning of barcodes from live video feed."
    TYPE RECOMMENDED)

ecm_setup_version(PROJECT VARIABLE_PREFIX PRISON
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/prison_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6PrisonConfigVersion.cmake"
                        SOVERSION 6
)
ecm_set_disabled_deprecation_versions(
    QT 6.10
)

add_subdirectory(src)
if(BUILD_TESTING)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test Concurrent Widgets)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Prison")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6PrisonConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PrisonConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PrisonConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6PrisonConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6PrisonTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF6PrisonTargets.cmake
  NAMESPACE KF6::
)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/prison_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Prison
  COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-prison (6.18.0+p24.04+vstable+git20250928.0544-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 05:44:35 +0000

## kf6-prison 6.19.0

=== src/lib/CMakeLists.txt ===
include(CMakePackageConfigHelpers)
if(TARGET Dmtx::Dmtx)
    set(HAVE_DMTX 1)
endif()
if (TARGET ZXing::ZXing)
    set(HAVE_ZXING 1)
endif()
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-prison.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-prison.h)

add_library(KF6Prison)
add_library(KF6::Prison ALIAS KF6Prison)

qt_extract_metatypes(KF6Prison)

set_target_properties(KF6Prison PROPERTIES
    VERSION     ${PRISON_VERSION}
    SOVERSION   ${PRISON_SOVERSION}
    EXPORT_NAME Prison
)

target_sources(KF6Prison PRIVATE
    abstractbarcode_p.cpp
    aztecbarcode.cpp
    aztecbarcode_p.h
    barcode.cpp
    barcodeutil.cpp
    barcodeutil_p.h
    bitvector.cpp
    bitvector_p.h
    code128barcode.cpp
    code128barcode_p.h
    code39barcode.cpp
    code39barcode_p.h
    code93barcode.cpp
    code93barcode_p.h
    mecard.cpp
    mecard.h
    prison.h
    qrcodebarcode.cpp
    qrcodebarcode_p.h
    reedsolomon.cpp
    reedsolomon_p.h
)
if(TARGET Dmtx::Dmtx)
    target_sources(KF6Prison PRIVATE datamatrixbarcode.cpp datamatrixbarcode_p.h)
endif()
if(TARGET ZXing::ZXing)
    target_sources(KF6Prison PRIVATE
        pdf417barcode.cpp
        pdf417barcode_p.h
        zxingutil.cpp
    )
endif()
kde_source_files_enable_exceptions(
    barcode.cpp
    pdf417barcode.cpp
    prison.cpp
    zxingutil.cpp
)

ecm_qt_declare_logging_category(KF6Prison
    HEADER prison_debug.h
    IDENTIFIER Prison::Log
    CATEGORY_NAME kf.prison
    OLD_CATEGORY_NAMES kf5.prison
    DESCRIPTION "Prison (lib)"
    EXPORT PRISON
)

ecm_generate_export_header(KF6Prison
    BASE_NAME Prison
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6Prison
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/Prison>"
    PUBLIC
        "$<BUILD_INTERFACE:${CMAKE_BINARY_DIR}>" # module version header
)

target_link_libraries(KF6Prison
PUBLIC
   Qt6::Gui
PRIVATE
   QRencode::QRencode
)
if(TARGET Dmtx::Dmtx)
    target_link_libraries(KF6Prison PRIVATE Dmtx::Dmtx)
endif()
if(TARGET ZXing::ZXing)
    target_link_libraries(KF6Prison PRIVATE ZXing::ZXing)
endif()

install(TARGETS KF6Prison EXPORT KF6PrisonTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(Prison_CamelCase_HEADERS
    HEADER_NAMES
    Barcode
    Prison
    MeCard
    SHARED_PREFIX Prison
    REQUIRED_HEADERS Prison_HEADERS
)

ecm_generate_qdoc(KF6Prison prison.qdocconf)

set(_all_headers
    ${Prison_HEADERS}
    ${Prison_CamelCase_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/prison_export.h
)

install(
    FILES ${_all_headers}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Prison/Prison
    COMPONENT Devel
)

=== debian/changelog ===
kf6-prison (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:08:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: kf6-prison
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.19.0~),
                libdmtx-dev,
                libqrencode-dev,
                libxkbcommon-dev,
                libzxing-dev (>= 2.0~),
                pkg-kde-tools (>= 0.17.0~),
-               qt6-base-dev (>= 6.7.0~),
-               qt6-declarative-dev (>= 6.7.0~),
-               qt6-multimedia-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-multimedia-dev (>= 6.5.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/prison
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-prison
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-prison.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-prison
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-prison
 Rules-Requires-Root: no
 
 Package: libkf6prison-dev
@@ -32,7 +33,7 @@
 Depends: libkf6prison6 (= ${binary:Version}),
          libkf6prisonscanner6 (= ${binary:Version}),
          qml6-module-org-kde-prison (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6prison-doc (= ${source:Version}),
 Description: barcode API for Qt - development files
@@ -59,8 +60,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: barcode API for Qt
  prison is a barcode API currently offering a nice Qt API to produce QRCode
  barcodes and DataMatrix barcodes, and can easily be made support more.
@@ -71,8 +71,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: barcode API for Qt - barcode scanner
  prison is a barcode API currently offering a nice Qt API to produce QRCode
  barcodes and DataMatrix barcodes, and can easily be made support more.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

# few binary tests fail on big endian architectures
ifeq (big,$(DEB_HOST_ARCH_ENDIAN))
  fail_param := || true
endif

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	dh_auto_test $(fail_param)

## kf6-prison 6.19.0+p24.04+vstable+git20251008.1043

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 project(prison VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.18.0 NO_MODULE)
+find_package(ECM 6.19.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" "${ECM_MODULE_PATH}")

=== debian/changelog ===
kf6-prison (6.19.0+p24.04+vstable+git20251008.1043-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 10:43:27 +0000

kf6-prison (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:14:46 +0000

## kf6-prison 6.19.0+p24.04+vstable+git20251024.0108

=== debian/changelog ===
kf6-prison (6.19.0+p24.04+vstable+git20251024.0108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 01:08:26 +0000

## kf6-prison 6.19.0+p24.04+vstable+git20251028.0743

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 
 option(WITH_QUICK "Build QtQuick components" ON)
 option(WITH_MULTIMEDIA "Build scanner support" ON)

=== debian/changelog ===
kf6-prison (6.19.0+p24.04+vstable+git20251028.0743-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 07:43:51 +0000

=== debian/control ===
Source: kf6-prison
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               libdmtx-dev,
               libqrencode-dev,
               libzxing-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kdesupport/prison
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-prison.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-prison
Maintainer: Neon CI <neon@kde.org>

Package: kf6-prison
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6prison-data, libkf6prison6, qml6-module-org-kde-prison
Description: barcode API for Qt (documentation)
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.
 .
 This package contains the qch documentation files.

Package: kf6-prison-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-prison (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Replaces: libkf6prison-dev, libkf6prison-doc
Description: barcode API for Qt - development files
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the development headers and files needed to create
 applications that use the prison library.

Package: libkf6prison6
Architecture: all
Depends: kf6-prison, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6prison-data
Architecture: all
Depends: kf6-prison, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6prison-dev
Architecture: all
Depends: kf6-prison-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6prison-doc
Architecture: all
Depends: kf6-prison, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-prison
Architecture: all
Depends: kf6-prison, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-prison 6.19.0+p24.04+vunstable+git20251020.0119

=== debian/changelog ===
kf6-prison (6.19.0+p24.04+vunstable+git20251020.0119-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:19:29 +0000

## kf6-prison 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.19.0 NO_MODULE)
+find_package(ECM 6.20.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" "${ECM_MODULE_PATH}")

=== src/scanner/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-prison-scanner.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-prison-scanner.h)

add_library(KF6PrisonScanner)
add_library(KF6::PrisonScanner ALIAS KF6PrisonScanner)

qt_extract_metatypes(KF6PrisonScanner)

set_target_properties(KF6PrisonScanner PROPERTIES
    VERSION     ${PRISON_VERSION}
    SOVERSION   ${PRISON_SOVERSION}
    EXPORT_NAME PrisonScanner
)

target_sources(KF6PrisonScanner PRIVATE
    format.cpp
    imagescanner.cpp
    scanresult.cpp
    videoscanner.cpp
    videoscannerframe.cpp
    videoscannerworker.cpp
)

kde_source_files_enable_exceptions(videoscannerworker.cpp imagescanner.cpp scanresult.cpp)

ecm_generate_export_header(KF6PrisonScanner
    BASE_NAME PrisonScanner
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME Prison
    DEPRECATED_BASE_VERSION 0
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

ecm_generate_qdoc(KF6PrisonScanner prisonscanner.qdocconf)

target_include_directories(KF6PrisonScanner
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/PrisonScanner>"
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/Prison>" # module version header
    PUBLIC
        "$<BUILD_INTERFACE:${CMAKE_BINARY_DIR}>" # module version header
)
target_link_libraries(KF6PrisonScanner
    PUBLIC
        Qt6::Multimedia
    PRIVATE
        Qt6::Core
        ZXing::ZXing
)

install(TARGETS KF6PrisonScanner EXPORT KF6PrisonTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(PrisonScanner_CamelCase_HEADERS
    HEADER_NAMES
        Format
        ImageScanner
        ScanResult
        VideoScanner
    SHARED_PREFIX Prison
    REQUIRED_HEADERS PrisonScanner_HEADERS
)

install(
    FILES
        ${PrisonScanner_CamelCase_HEADERS}
        ${PrisonScanner_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/prisonscanner_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/PrisonScanner/Prison
    COMPONENT Devel
)

=== debian/changelog ===
kf6-prison (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:14:27 +0100

=== debian/control ===
Source: kf6-prison
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libdmtx-dev,
               libqrencode-dev,
               libxkbcommon-dev,
               libzxing-dev (>= 2.0~),
               pkg-kde-tools (>= 0.17.0~),
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-multimedia-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/prison
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-prison
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-prison.git
Rules-Requires-Root: no

Package: libkf6prison-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6prison6 (= ${binary:Version}),
         libkf6prisonscanner6 (= ${binary:Version}),
         qml6-module-org-kde-prison (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6prison-doc (= ${source:Version}),
Description: barcode API for Qt - development files
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the development headers and files needed to create
 applications that use the prison library.

Package: libkf6prison-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: barcode API for Qt (documentation)
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6prison6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.

Package: libkf6prisonscanner6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: barcode API for Qt - barcode scanner
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library for scanning barcodes to be used by
 applications.

Package: qml6-module-org-kde-prison
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made to support more.
 .
 This package contains the Prison Qt Quick QML bindings.

## kf6-prison 6.20.0+p24.04+vunstable+git20251122.0620

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 project(prison VERSION ${KF_VERSION})
 
 # ECM setup

=== debian/changelog ===
kf6-prison (6.20.0+p24.04+vunstable+git20251122.0620-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 06:20:06 +0000

kf6-prison (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:47 +1000

## kf6-prison 6.20.0+p24.04+vunstable+git20251206.0304

=== debian/changelog ===
kf6-prison (6.20.0+p24.04+vunstable+git20251206.0304-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:04:44 +0000

## kf6-prison 6.21.0

=== debian/changelog ===
kf6-prison (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:54:14 +0000

kf6-prison (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:16:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-prison
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -9,20 +10,20 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
                libdmtx-dev,
                libqrencode-dev,
                libxkbcommon-dev,
                libzxing-dev (>= 2.0~),
                pkg-kde-tools (>= 0.17.0~),
-               qt6-base-dev (>= 6.8.0~),
-               qt6-declarative-dev (>= 6.8.0~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
                qt6-multimedia-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+               qt6-tools-dev (>= 6.8.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/prison
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-prison
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-prison.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-prison
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-prison
 Rules-Requires-Root: no
 
 Package: libkf6prison-dev
@@ -32,7 +33,7 @@
 Depends: libkf6prison6 (= ${binary:Version}),
          libkf6prisonscanner6 (= ${binary:Version}),
          qml6-module-org-kde-prison (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6prison-doc (= ${source:Version}),
 Description: barcode API for Qt - development files
@@ -59,8 +60,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: barcode API for Qt
  prison is a barcode API currently offering a nice Qt API to produce QRCode
  barcodes and DataMatrix barcodes, and can easily be made support more.
@@ -71,8 +71,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: barcode API for Qt - barcode scanner
  prison is a barcode API currently offering a nice Qt API to produce QRCode
  barcodes and DataMatrix barcodes, and can easily be made support more.
@@ -83,9 +82,7 @@
 Package: qml6-module-org-kde-prison
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: barcode API for Qt
  prison is a barcode API currently offering a nice Qt API to produce QRCode
  barcodes and DataMatrix barcodes, and can easily be made to support more.

## kf6-prison 6.21.0+p24.04+vstable+git20251207.0557

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 project(prison VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.20.0 NO_MODULE)
+find_package(ECM 6.21.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" "${ECM_MODULE_PATH}")

=== debian/changelog ===
kf6-prison (6.21.0+p24.04+vstable+git20251207.0557-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 05:57:43 +0000

kf6-prison (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:10:21 +1000

## kf6-prison 6.21.0+p24.04+vstable+git20251226.0130

=== debian/changelog ===
kf6-prison (6.21.0+p24.04+vstable+git20251226.0130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 01:30:52 +0000

## kf6-prison 6.21.0+p24.04+vunstable+git20251207.0557

=== debian/changelog ===
kf6-prison (6.21.0+p24.04+vunstable+git20251207.0557-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 05:57:54 +0000

## kf6-prison 6.21.0+p24.04+vunstable+git20260105.0952

=== debian/changelog ===
kf6-prison (6.21.0+p24.04+vunstable+git20260105.0952-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:52:20 +0000

## kf6-prison 6.22.0

=== debian/changelog ===
kf6-prison (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:33:37 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                libdmtx-dev,
                libqrencode-dev,
                libxkbcommon-dev,
@@ -82,7 +82,9 @@
 Package: qml6-module-org-kde-prison
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: barcode API for Qt
  prison is a barcode API currently offering a nice Qt API to produce QRCode
  barcodes and DataMatrix barcodes, and can easily be made to support more.

## kf6-prison 6.22.0+p24.04+vstable+git20260126.0604

=== debian/changelog ===
kf6-prison (6.22.0+p24.04+vstable+git20260126.0604-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 06:04:20 +0000

kf6-prison (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:41:37 +1000

## kf6-prison 6.22.0+p24.04+vstable+git20260131.0132

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 project(prison VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.21.0 NO_MODULE)
+find_package(ECM 6.22.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" "${ECM_MODULE_PATH}")
@@ -65,7 +65,7 @@
                         SOVERSION 6
 )
 ecm_set_disabled_deprecation_versions(
-    QT 6.10
+    QT 6.11
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kf6-prison (6.22.0+p24.04+vstable+git20260131.0132-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:32:38 +0000

## kf6-prison 6.22.0+p24.04+vunstable+git20260106.0728

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.27)
+cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
 project(prison VERSION ${KF_VERSION})

## kf6-prison 6.22.0+p24.04+vunstable+git20260129.0222

=== debian/changelog ===
kf6-prison (6.22.0+p24.04+vunstable+git20260129.0222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:22:38 +0000

## kf6-prison 6.22.0+p24.04+vunstable+git20260201.0542

=== debian/changelog ===
kf6-prison (6.22.0+p24.04+vunstable+git20260201.0542-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 05:42:49 +0000

## kf6-prison 6.23.0~rc1

=== debian/changelog ===
kf6-prison (6.23.0~rc1-1) experimental; urgency=medium

  [ Boyuan Yang ]
  * Team upload.
  * New upstream release candidate.
    + Fix compatibility with zxing-cpp 3.0.0+
  * debian/watch: Update to version 5.
  * debian/control: Bump version requirement for zxing-cpp to v3.0+.
  * debian/control: Bump version requirement for extra-cmake-modules
    to v6.22.0.
  * debian/patches/revert-ecm-version-bump.patch: Add patch to avoid
    unnecessary dependency to ecm v6.23.0+.

 -- Boyuan Yang <byang@debian.org>  Sat, 07 Feb 2026 15:05:45 -0500

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: kf6-prison
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
                extra-cmake-modules (>= 6.22.0~),
                libdmtx-dev,
                libqrencode-dev,
                libxkbcommon-dev,
-               libzxing-dev (>= 2.0~),
+               libzxing-dev (>= 3.0~),
                pkg-kde-tools (>= 0.17.0~),
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.8.0~),
                qt6-multimedia-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.8.0~),
-Standards-Version: 4.7.0
+               qt6-tools-dev (>= 6.5.0~),
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/prison
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-prison
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-prison
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-prison
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-prison.git
 Rules-Requires-Root: no
 
 Package: libkf6prison-dev
@@ -33,7 +32,7 @@
 Depends: libkf6prison6 (= ${binary:Version}),
          libkf6prisonscanner6 (= ${binary:Version}),
          qml6-module-org-kde-prison (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0+dfsg~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
 Recommends: libkf6prison-doc (= ${source:Version}),
 Description: barcode API for Qt - development files
@@ -60,7 +59,8 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: barcode API for Qt
  prison is a barcode API currently offering a nice Qt API to produce QRCode
  barcodes and DataMatrix barcodes, and can easily be made support more.
@@ -71,7 +71,8 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: barcode API for Qt - barcode scanner
  prison is a barcode API currently offering a nice Qt API to produce QRCode
  barcodes and DataMatrix barcodes, and can easily be made support more.

=== debian/watch ===
Version: 5

Source: https://download.kde.org/stable/frameworks/([\d.]+)/
Matching-Pattern: prison-([\d.]+)\.tar\.xz
Pgpsigurlmangle: s/$/.sig/

## kf6-prison 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
 project(prison VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.22.0 NO_MODULE)
+find_package(ECM 6.23.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" "${ECM_MODULE_PATH}")
@@ -51,10 +51,12 @@
 set_package_properties(Dmtx PROPERTIES
     PURPOSE "Required for generation of Data Matrix barcodes."
     TYPE RECOMMENDED)
-find_package(ZXing 2.0)
-if (NOT TARGET ZXing::ZXing)
-  find_package(ZXing 1.2.0)
-endif()
+foreach(ver 3.0 2.0 1.2.0)
+    find_package(ZXing ${ver} CONFIG QUIET)
+    if (TARGET ZXing::ZXing)
+        break()
+    endif()
+endforeach()
 set_package_properties(ZXing PROPERTIES
     PURPOSE "Required for generation of PDF417 barcodes and for scanning of barcodes from live video feed."
     TYPE RECOMMENDED)

=== debian/changelog ===
kf6-prison (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Fix endianness issue in image conversion.
  * Reenable build-time tests.
  * Use declarative dh-sequence-pkgkde-symbolshelper.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:46:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: kf6-prison
 Section: libs
-Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
+               cmake (>= 3.27~),
                doxygen,
-               extra-cmake-modules (>= 6.22.0~),
+               extra-cmake-modules (>= 6.23.0~),
                libdmtx-dev,
                libqrencode-dev,
                libxkbcommon-dev,
-               libzxing-dev (>= 3.0~),
+               libzxing-dev (>= 2.0~),
                pkg-kde-tools (>= 0.17.0~),
                qt6-base-dev (>= 6.8.0~),
                qt6-declarative-dev (>= 6.8.0~),
                qt6-multimedia-dev (>= 6.8.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/prison
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-prison
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-prison.git
-Rules-Requires-Root: no
 
 Package: libkf6prison-dev
 Section: libdevel
